Foros del Web » Creando para Internet » CSS »

IE 6 y 5.5 - errores en css

Estas en el tema de IE 6 y 5.5 - errores en css en el foro de CSS en Foros del Web. Estimados, quisiera saber como puedo solucionar errores en mi archivo css para que se vea bien en IE 6 y 5.5 El sitio en cuestion ...
  #1 (permalink)  
Antiguo 26/11/2010, 13:15
Avatar de chacabuco  
Fecha de Ingreso: octubre-2010
Ubicación: Buenso Aires
Mensajes: 85
Antigüedad: 7 años, 1 mes
Puntos: 0
IE 6 y 5.5 - errores en css

Estimados, quisiera saber como puedo solucionar errores en mi archivo css para que se vea bien en IE 6 y 5.5
El sitio en cuestion es http://www.republicadeaca.com.ar/2010/ y creo que el principal problema es con el flote.
Cualquier orientación me va a servir.
Muchas gracias!!!
  #2 (permalink)  
Antiguo 26/11/2010, 13:29
Avatar de webosiris
Moderador egiptólogo
 
Fecha de Ingreso: febrero-2002
Ubicación: Luxor, Egipto
Mensajes: 10.727
Antigüedad: 15 años, 9 meses
Puntos: 997
Respuesta: IE 6 y 5.5 - errores en css

IE 5.5??? Eso es más viejo que mi tatarabuela
con IE 9 a la vuelta de la esquina, porque le das soporte a un navegador que es tan tan tan viejo y que ya nadie usa?
__________________
Pasamos tus PSD a HTML

Pobre del que lo sabe todo, porque no tiene nada más que aprender ni razón para vivir. -
  #3 (permalink)  
Antiguo 26/11/2010, 14:01
Avatar de JavierB
Colaborador
 
Fecha de Ingreso: febrero-2002
Ubicación: Madrid
Mensajes: 25.052
Antigüedad: 15 años, 9 meses
Puntos: 771
Hola chacabuco

Muevo tu tema al foro de CSS desde Web general.

Saludos,
  #4 (permalink)  
Antiguo 26/11/2010, 14:02
Avatar de chacabuco  
Fecha de Ingreso: octubre-2010
Ubicación: Buenso Aires
Mensajes: 85
Antigüedad: 7 años, 1 mes
Puntos: 0
Respuesta: IE 6 y 5.5 - errores en css

Porque mi cliente me lo pide.......
Una respuesta tengo que darle.... poner una leyenda tipo "este sitio está diseñado para versión IE 9" me parece lo mas práctico, pero no es lo mejor.....
Que dice este foro?
  #5 (permalink)  
Antiguo 26/11/2010, 14:51
Avatar de chacabuco  
Fecha de Ingreso: octubre-2010
Ubicación: Buenso Aires
Mensajes: 85
Antigüedad: 7 años, 1 mes
Puntos: 0
Respuesta: IE 6 y 5.5 - errores en css

Gracias JavierB
Una pregunta mas? creo que lo mejor sería detectar si estan viendo el sitio con IE6 o inferior y que a esos usuarios les aparezca un mensaje que invite a actualizarlo.
Ahora bien, como puedo hacer eso? con algún codigo?
Gracias!!!
  #6 (permalink)  
Antiguo 26/11/2010, 14:52
Avatar de webosiris
Moderador egiptólogo
 
Fecha de Ingreso: febrero-2002
Ubicación: Luxor, Egipto
Mensajes: 10.727
Antigüedad: 15 años, 9 meses
Puntos: 997
Respuesta: IE 6 y 5.5 - errores en css

Cita:
Iniciado por chacabuco Ver Mensaje
Porque mi cliente me lo pide.......
Una respuesta tengo que darle....
el IE 6 todavía se entiende, porque aunque viejo es el navegador que viene por defecto en el XP y por lo tanto todavía se usa por un reducido grupo de usuarios, del orden del 5-7% (aquellos que no instalan las actualizaciones de seguridad) pero el IE 5.5 ya NO EXISTE.

Nadie, pero nadie, lo usa. Tu cliente puede pedir lo que quiera, pero tu, como profesional, debes asesorarlo.
Aquí tienes las estadísticas de los IEs a lo largo del tiempo: http://www.w3schools.com/browsers/browsers_explorer.asp
Como ves, hace ya 2 años el IE 5 solo tenia un invisible 0,3%, y en el 2009 ya desaparece por completo.

PD: y perdona que no te haya contestado tu pregunta, no tengo un IE delante en este momento, pero es que me llamó mucho la atención que preguntaras por el 5.5
__________________
Pasamos tus PSD a HTML

Pobre del que lo sabe todo, porque no tiene nada más que aprender ni razón para vivir. -

Última edición por webosiris; 26/11/2010 a las 15:00
  #7 (permalink)  
Antiguo 26/11/2010, 15:06
Avatar de chacabuco  
Fecha de Ingreso: octubre-2010
Ubicación: Buenso Aires
Mensajes: 85
Antigüedad: 7 años, 1 mes
Puntos: 0
Respuesta: IE 6 y 5.5 - errores en css

Gracias Webosiris, voy a convencer a mi ciente para poner un aviso para los usuarios que tengan IE viejo. En este mismo foro encontré el codigo.

<!--[if IE 6]><style>.ie6{background:#FFFFE7 url(http://ie6update.com/hosted/ie6update/images/icon.png) no-repeat 5px 5px;text-decoration:none !important;padding:7px 0px 7px 30px;color:#333;cursor:pointer;border-bottom:1px #333333 solid;width:100%;display:block;font-family:arial;font-size:12px}.ie6:hover{background:#319AFF url(http://ie6update.com/hosted/ie6update/images/icon-over.png) no-repeat 5px 5px;color:#ffffff}</style><a href="http://www.microsoft.com/latam/windows/internet-explorer/" class=ie6 >Su version de Internet explorer necesita actualizarse!</a><![endif]-->

Por favor, dame tu opinión.
Muchas gracias!!

Etiquetas: Ninguno
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 22:43.